Bug 172610 - Modular X: "Requires: filesystem >= 2.3.6-1" needed for modular packages that install into /usr/lib/X11
Modular X: "Requires: filesystem >= 2.3.6-1" needed for modular packages that...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: xorg-modular
  Show dependency treegraph
 
Reported: 2005-11-07 14:58 EST by Mike A. Harris
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 22:36:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2005-11-07 14:58:43 EST
In X11R6 and earlier, /usr/X11R6/lib/X11 was used for storage of various
data files, fonts, etc.

The "filesystem" package provided a /usr/lib/X11 symlink pointing to
/usr/X11R6/lib/X11 for compatibility with very ancient applications,
however in X11R7, /usr/lib/X11 is now a real directory.

Most of the files that used to be present in /usr/X11R6/lib/X11 were
architecture independent data, and they will end up in /usr/share/X11
in modular X, however there are some modular X packages which may
still install some files into /usr/lib/X11, and so they must also own
this directory, which means it can no longer be a symbolic link.

In order to correct this problem, the "filesystem-2.3.6-1" package,
no longer provides the /usr/lib/X11 symlink.  Any package that installs
real files into /usr/lib/X11 (which should only be X.Org packages, as
no other package should ever put things there), must now have:

Requires: filesystem >= 2.3.6-1

added to it, to avoid a conflict with the older filesystem package.
Comment 1 Mike A. Harris 2005-11-07 15:55:42 EST
NOTE:  To clarify futher /usr/lib/X11 usage

*NO* Fedora/RHEL packages should install anything into /usr/lib/X11 unless
they are part of X.Org X11 itself.  This directory is for the exclusive use
of the X Window System, much like /usr/lib/xchat is for the exclusive use
of xchat.

Packages that are not part of the X Window System need to stop abusing the
filesystem layout and put their files in their own directories.  I'll be
getting very strict and cracking the whip about this real soon.
Comment 2 Nicolas Mailhot 2005-11-13 06:54:07 EST
Care to add filesystem-2.3.6-1 to prc ?
Comment 3 Mike A. Harris 2005-11-14 14:03:46 EST
Doh, good idea.
Comment 4 Mike A. Harris 2005-11-14 14:06:22 EST
filesystem-2.3.6-1 is now available for download via ftp at the following URL: 
ftp://people.redhat.com/mharris/testing/xorg-modular-fc5
Comment 5 Jeremy Katz 2005-11-14 22:36:26 EST
I think I fixed up all of the packages in this category
Comment 6 Mike A. Harris 2005-11-22 22:59:00 EST
Documentive update:

While all of these packages did and do need the dependency on "filesystem"
that was added, a bigger problem has arisen, which we had to create a new
package called xorg-x11-filesystem to handle.  All of the packages that
were updated to depend on the newer "filesystem" package, now need to be
updated to also "Requires(pre): xorg-x11-filesystem >= 0.99.2-2" in order
for upgrades to work properly.
Comment 7 Mike A. Harris 2005-11-22 23:00:33 EST
Actually, if I put the "filesystem" dep in the xorg-x11-filesystem package,
then all the packages can depend on xorg-x11-filesystem instead, and they
don't all have to cart around the dependency.  I'll update things as I find
them.

Note You need to log in before you can comment on or make changes to this bug.